Forum > Linux

Lazarus ans Linux Mint

(1/1)

coradi:
I try to install ist with  internal Manager Lazarus 2.2 but if I try to compile, I get
 laz_avl_tree.pp(24,58) Fatal: Invalid PPU-File entry: 87

Why is there no support for the Linux Version from FPC? :-(
There is only the old Version 2.2

IF i try to download it from lazarus or freepascal.org and install with Paket manager, there are missing dependencies

cdbc:
Hi
You should try this instead: https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases
I and lots of others have really good experiences with installing with it  8-)
Regards Benny

SandyG:
I installed Lazarus from the package manager on Ubuntu 23.10 for ARM, and pretty much only had to change the debugger to GDB and it all worked. I think it was Lazarus 2.2. I used Mint (x86) a lot back in the day while programming, great desktops. It should have the same repos of Ubuntu, but if not I think you can use the package manager to set it up. Been a while, but should be doable.

Sandy

Dzandaa:
Hi
@coradi

This is my solution for Linux Mint:

Don't use the Lazarus version on Mint repository, it is not the latest.

Uninstall The old version with the "Software manager"

or better

Uninstall it completely with "Synaptic Package Manager"

Search for "fpc", look what is installed (Green square), select  it with Right Click and  "Mark for Removal" then "Apply"
Do the same with "lazarus"

For the installation, I download the 3 packages from here:

https://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%202.2.6/

I install the 3 packages in order:

1) fpc-laz_3.2.2-210709_amd64.deb
2) fpc-src_3.2.2-210709_amd64.deb
3) lazarus-project_2.2.6-0_amd64.deb

By clicking on the .deb file you run the "Archive Manager" then "Install"

After the first run, I install "anchordockingdsgn" from "Package->Install/Uninstall Packages" to have a pleasant environment.


Hope that help.

B->

Navigation

[0] Message Index

Go to full version